Issue1881

classification
Title: math.gamma and math.lgamma
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amak, fwierzbicki, tebeka, zyasoft
Priority: Keywords: patch

Created on 2012-05-04.21:11:32 by tebeka, last changed 2014-05-22.01:20:54 by zyasoft.

Files
File name Uploaded Description Edit Remove
gamma.diff tebeka, 2012-05-04.21:11:31
Messages
msg7079 (view) Author: Miki Tebeka (tebeka) Date: 2012-05-04.21:11:31
This is a *non working* patch for math.gamma and math.lgamma. 
It was my first attempt and now it looks like we'll go the commons-math road.

Keeping this patch here in case we want to re-visit.
msg7081 (view) Author: Miki Tebeka (tebeka) Date: 2012-05-04.21:15:08
This is based on the code at http://golang.org/src/pkg/math/lgamma.go and http://golang.org/src/pkg/math/gamma.go
msg8537 (view) Author: Jim Baker (zyasoft) Date: 2014-05-22.01:20:54
This is tested by test_math.test_mtestfile, so closing out as fixed
History
Date User Action Args
2014-05-22 01:20:54zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg8537
nosy: + zyasoft
2013-02-20 00:44:19fwierzbickisetversions: + Jython 2.7, - 2.7a1
2013-02-09 20:22:19amaksetnosy: + amak
2012-08-10 21:22:08fwierzbickisetnosy: + fwierzbicki
2012-05-04 21:15:08tebekasetmessages: + msg7081
2012-05-04 21:11:32tebekacreate